#!/bin/bash

# SOURCE_DIR="E:/kenCode/work/portal"
# TARGET_DIR="E:/kenCode/work/updateFile/pc_au"

# 获取当前脚本所在目录的绝对路径
SOURCE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd ..

# 设置TARGET_DIR为当前目录的上一层目录下的\updateFile\pc_au目录
TARGET_DIR="$(pwd)/updateFile/pc_au"
REMOTE_REPO="http://git.promocollection.com.au:11180/PromoAu/pc_au.git"

# 删除目标目录及其所有子目录和文件
rm -rf "$TARGET_DIR"

# 创建目标目录
mkdir -p "$TARGET_DIR"

# 克隆远程仓库到目标目录
git clone "$REMOTE_REPO" "$TARGET_DIR"

rm -rf "$TARGET_DIR"/.nuxt
rm -rf "$TARGET_DIR"/*
# 复制文件和文件夹到目标目录
cp -r "$SOURCE_DIR"/nuxt.config.js "$TARGET_DIR"
cp -r "$SOURCE_DIR"/package.json "$TARGET_DIR"
cp -r "$SOURCE_DIR"/.nuxt "$TARGET_DIR"
cp -r "$SOURCE_DIR"/static "$TARGET_DIR"

# 切换到目标目录
cd "$TARGET_DIR"

# 添加所有更改
git add .

# 提交更改
git commit -m "Update files"

# 推送到远程仓库
git push

echo "Done!"
